.hidden {
    display: none;
}

.show {
    display: flex;
}

.hover_display {
    overflow: hidden;
    display: none;
}

.hover_text {
    position: absolute;
    color: white;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 0;
    padding: 20px;
    display: flex;
    background: linear-gradient(179.4deg, rgba(0, 0, 0, 0.76) 0.52%, rgba(179, 23, 111, 0.76) 153.96%);
    flex-direction: column;
    align-content: center;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    margin: 0;
    transition: all 0.3s ease;
    border-radius: 20px;
}

.hover_text h1 {
    color: white;
    font: 500 24px/24px var(--primary-font);
}

.hover_text h2 {
    font: 400 16px/24px var(--primary-font);
}

.hover_text a {
    font: var(--primary-font);
    padding: 5px 20px;
    border: 1px solid;
    border-radius: 30px;
}

.image_container:hover .hover_display {
    display: block;
}

.image_container2 .artist_img:hover .hover_display {
    display: block;
}

p {
    font-family: var(--primary-font);
    font-size: 16px;
    line-height: 28px;
    color: white;
}

/* card section */

.container {
    padding: 150px 120px;
}

.song_row {
    display: flex;
    flex-wrap: wrap;
    grid-gap: 15px;
    padding: 0 0 60px 0;
}

.song_row .card {
    width: calc(20% - 12px);
    border-radius: 10px;
    background: radial-gradient(241.86% 241.86% at 53.72% -58.25%, #404657 0%, rgba(64, 70, 87, 0) 100%);
}


/* Style for the SVG container */
.svg-container {
    width: 40px;
    /* Adjusted size for visibility */
    height: 40px;
    display: inline-block;
    background-color: #F3EEFF;
    /* Default color before hover */
    mask: url(#icon-mask);
    /* Use the SVG as a mask */
    -webkit-mask: url(#icon-mask);
    /* Safari support */
    transition: background-color 0.3s ease;
    /* Space between icons */
}

/* On hover, change the background to the desired gradient */
.svg-container:hover {
    background: linear-gradient(108.65deg, #D20B61 3.9%, #664DC9 77.99%, #5C34F0 112.86%);
}


/**============
new css start
============**/

.ellipsis {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.gray-bg {
    background-color: var(--bg-color);
}

.custom_hr {
    border: none;
    background-color: #ccc;
    height: 0.5px;
    margin: 50px 0;
}

.hero_container,
.content-wrapper {
    margin: 0 auto;
    max-width: 1440px;
    width: 100%;
}

/*home header start*/

/* header CSS */

header {
    position: fixed;
    top: 24px;
    z-index: 1000;
    width: 100%;
}

.inner-page-header {
    background-color: var(--bg-color);
    top: 0;
}

.header-area {
    background-color: var(--bg-color);
    padding: 18px 36px;
    border-radius: 85px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
}

.inner-page-header .header-area {
    padding-left: 0;
    padding-right: 0;
}

.logo-area a {
    display: flex;
    align-items: center;
    gap: 16px;
}

.logo-title {
    font-weight: 500;
    font-size: 1.875rem;
    color: white;
}

.logo-img {
    width: 100%;
    max-width: 70px;
}

nav ul {
    display: flex;
    align-items: center;
    gap: 60px;
}

.nav-top-area {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.nav-top-area .close-btn {
    cursor: pointer;
}

.nav-menu-after {
    list-style: none;
    display: flex;
    flex-direction: column;
    gap: 40px;
}

.nav-link {
    display: flex;
    gap: 10px;
    align-items: center;
}

.burger-menu {
    display: none;
    cursor: pointer;
}

.burger-menu .bar1,
.burger-menu .bar2,
.burger-menu .bar3 {
    height: 2px;
    width: 40px;
    background-color: var(--sub-color);
    margin-bottom: 4px;
}

.hamburger-menu {
    /* position: absolute; */
    /* top: 100px;
    right: -500px; */
    width: 500px;
    display: none;
    transition: all .3s linear 0s;
}

.hamburger-menu.active {
    background-color: var(--bg-color);
    display: flex;
    flex-direction: column;
    gap: 20px;
    height: 100vh;
    overflow-y: auto;
    padding: 50px;
    position: absolute;
    right: 0;
    top: -50px;
    z-index: 1000;
}

.inner-page-header .hamburger-menu.active {
    top: 0;
}

.header-area .icon-area {
    display: flex;
    align-items: center;
    gap: 60px;
}

.profile .img-box {
    position: relative;
    width: 30px;
    height: 30px;
    border-radius: 50%;
    overflow: hidden;
    cursor: pointer
}

.profile .img-box img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/* menu (the right one) */

.menu {
    position: absolute;
    top: calc(100% + 24px);
    right: 16px;
    width: 200px;
    min-height: 100px;
    background: var(--bg-color);
    box-shadow: 0 10px 20px rgba(0, 0, 0, .2);
    opacity: 0;
    transform: translateY(-10px);
    visibility: hidden;
    transition: 300ms;
}

.menu::before {
    content: '';
    position: absolute;
    top: -10px;
    right: 14px;
    width: 20px;
    height: 20px;
    background: var(--bg-color);
    transform: rotate(45deg);
    z-index: -1;
}

.menu.active {
    opacity: 1;
    transform: translateY(0);
    visibility: visible;
}

header .user-dropdown {
    position: relative;
}

.user-dropdown .menu {
    right: -15px;
    top: calc(100% + 44px);
}

/* menu links */

.menu ul {
    position: relative;
    display: flex;
    flex-direction: column;
    z-index: 10;
    background: var(--bg-color);
}

.menu ul li {
    list-style: none;
}

.menu ul li:hover {
    background: var(--sub-color);
}

.menu ul li a {
    text-decoration: none;
    color: white;
    font-family: var(--primary-font);
    font-size: 16px;
    display: flex;
    align-items: center;
    padding: 15px 20px;
    gap: 6px;
}

.menu ul li a:hover {
    color: var(--bg-color);
}


.search-function {
    width: fit-content;
    height: fit-content;
    position: relative;
}

.input-search {
    height: 30px;
    width: 30px;
    border-style: none;
    padding: 10px;
    font-size: 16px;
    letter-spacing: 2px;
    outline: none;
    border-radius: 25px;
    transition: all .5s ease-in-out;
    padding-right: 40px;
    color: #fff;
}
.inner-page-header .input-search {
    background-color: transparent;
}

.input-search::placeholder {
    color: var(--sub-color);
    font-family: var(--primary-font);
    font-size: 16px;
    letter-spacing: 2px;
    font-weight: 100;
}

.btn-search {
    width: 30px;
    height: 30px;
    border-style: none;
    outline: none;
    cursor: pointer;
    border-radius: 50%;
    position: absolute;
    right: 0px;
    color: #ffffff;
    background-color: transparent;
    pointer-events: painted;
}

.btn-search:focus~.input-search {
    width: 250px;
    font-family: var(--primary-font);
    font-size: 16px;
    font-weight: 400;
    border-radius: 0px;
    background-color: transparent;
    border-bottom: 1px solid rgba(255, 255, 255, .5);
    transition: all 500ms cubic-bezier(0, 0.110, 0.35, 2);
}

.input-search:focus {
    width: 300px;
    border-radius: 0px;
    background-color: transparent;
    border-bottom: 1px solid rgba(255, 255, 255, .5);
    transition: all 500ms cubic-bezier(0, 0.110, 0.35, 2);
}
/*home header end*/

.banner_text {
    padding: 200px 0 100px;
}

.banner_text .banner-title {
    color: #fff;
    font-size: 50px;
    font-family: var(--title-font);
    font-weight: 400;
    letter-spacing: 0.02em;
}

.hero {
    position: relative;
    background-color: rgba(26, 27, 34, 0.86);
    background-size: cover;
    background-position: center;
    height: auto;
}

.hero::before {
    background: linear-gradient(180deg, transparent 70%, rgba(0, 0, 0, .5) 100%);
    backdrop-filter: blur(4px);
    content: "";
    inset: 0;
    position: absolute;
}

.hero .banner_text{
    position: relative;
    z-index: 2;
}

.static-page {
    padding: 100px 0;
}

.static-page-title {
    color: #fff;
    font-family: var(--title-font);
    font-size: 40px;
    font-weight: 400;
    line-height: 1.2;
    margin: 0 0 20px;
}

.static-page p {
    font-family: var(--primary-font);
    font-size: 16px;
    font-weight: 400;
    line-height: 1.6;
    margin: 20px 0;
    text-align: justify;
}

.static-page-list {
    padding-left: 20px;
}

.static-page-list li {
    color: white;
    font-family: var(--primary-font);
    font-size: 16px;
    line-height: 1.25;
    list-style: circle;
    padding: 10px 0;
}

/*======my music page start======*/
.my-music-banner {
    background-image: url(../images/songs_hero_bg.png);
}

.card .card-cover-img {
    border-radius: 10px 10px 0 0;
    height: 1px;
    overflow: hidden;
    padding-bottom: 66.7%;
    position: relative;
    width: 100%;
}

.card .card-cover-img img {
    height: 100%;
    object-fit: cover;
    position: absolute;
    width: 100%;
}

.song-info-area {
    position: relative;
    z-index: 200;
    background: var(--card-bg-color);
    backdrop-filter: blur(10px);
    padding: 12px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 12px;
    border-radius: 0 0 12px 12px;
}

.song-info-area .card-title {
    color: white;
    font-family: var(--primary-font);
    font-weight: 500;
    font-size: 16px;
    line-height: 1.5;
    padding: 0;
    text-transform: capitalize;
}

.song-info-area .card-singer {
    color: var(--sub-color);
    font-family: var(--title-font);
    font-weight: 400;
    font-size: 16px;
    line-height: 1.5;
    padding: 0;
}
.song-info-area .bookmark {
    align-items: center;
    align-content: flex-end;
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    justify-content: space-between;
}
/*======my music page end======*/


/*======my songs page start======*/
.songs-banner {
    background-image: url(../images/songs_hero_bg.png);
}

.song-list-all {
    padding: 100px 15px;
}

.sec-pad-tlr{
    padding: 100px 15px 0 15px;
}

.sec-pad-bx{
    padding-bottom: 100px;
}


.song-list-table table {
    min-width: 100%;
}

.song-list-table table tr {
    align-items: center;
    border-bottom: 0.8px solid var(--table-data-color);
    display: flex;
    gap: 10px;
    justify-content: space-between;
    padding: 10px 0;
}

.song-list-table table tr td .play-pause-wrapper{
  position: unset;
  transform: unset;
}

.song-list-table .song-number {
    font-family: var(--primary-font);
    font-weight: 400;
    font-size: 18px;
    line-height: 1.5;
    letter-spacing: 0.26px;
    color: var(--table-data-color);
}

.song-list-table .song-list-name {
    align-items: center;
    color: white;
    display: flex;
    flex-direction: row;
    font-family: var(--primary-font);
    font-size: 16px;
    font-weight: 500;
    gap: 20px;
    line-height: 1.5;
    margin-right: auto;
    min-width: 243px;
    text-transform: capitalize;
}

.song-list-table .song-list-name img {
    height: 50px;
    width: 50px;
}

td.song-number {
    min-width: 51px;
}

.song-list-table .list-icons {
    color: var(--sub-color);
    display: flex;
    align-items: center;
    gap: 12px;
}

.song-list-table .list-icons .track-favourite-toggle{
   display: inline-flex;
   font-size: 1.125rem;
}

.audio-manage-more {
    position: relative;
}

.audio-manage-menu {
    background-color: #000;
    border-radius: 4px;
    display: none;
    overflow: hidden;
    padding: 0;
    position: absolute;
    right: 0;
    top: 90%;
    z-index: 1;
}

.song-list-table tr:last-child .audio-manage-menu {
    top: auto;
    bottom: 90%;
}

.audio-manage-more:hover .audio-manage-menu {
    display: block;
}

.audio-manage-menu li {
    padding: 5px 12px 3px;
}

.audio-manage-menu li:hover {
    background-color: gray;
    color: #000;
}
/*======my songs page end======*/


/*======static pages start======*/
.about-us-banner,
.privacy-policy-banner {
    background-image: url(../images/tag_bg.jpeg);
    background-position: center top;
}

.terms-banner {
    background-image: url(../images/songs_hero_bg.png);
}
/*======static pages end======*/


/* contact section start*/

.main-title {
    background: var(--hero-title-color);
    color: transparent;
    font-family: var(--title-font);
    font-size: 132px;
    font-weight: 400;
    line-height: 1.06;
    text-align: center;
    text-transform: uppercase;
    -webkit-background-clip: text;
}

.contact-section .main-title {
    margin-bottom: 20px;
}

.contact-area {
    display: flex;
    justify-content: flex-end;
}

.contact-info {
    display: flex;
    flex-direction: row;
    gap: 20px;
}

.contact-info a {
    color: white;
    font-family: var(--primary-font);
    font-size: 24px;
    font-weight: 400;
    line-height: 1.25;
    text-shadow: 1px 1px 6px #000;
}

/* contact section end*/

/* music player details start*/
.music-player-wrapper {
    position: fixed;
    bottom: 0;
    z-index: 500;
    width: 100%;
    z-index: 500;
    background-color: var(--bg-color);
}

.music-player {
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    gap: 85px;
}

.music-info {
    display: flex;
    flex-direction: row;
    align-items: center;
    padding: 15px 0;
    gap: 25px;
    max-width: 250px;
    min-width: 200px;
}

.music-img {
    line-height: 0;
    width: 60px;
}


.music-info img {
    width: 100%;
}

.music-info .music-name {
    max-width: calc(100% - 85px);
}

.music-info h3 {
    font-family: var(--primary-font);
    font-weight: 500;
    font-size: 20px;
    line-height: 1.5;
    color: white;
}

.music-info p {
    font-family: var(--primary-font);
    font-weight: 400;
    font-size: 14px;
    line-height: 1.5;
    color: var(--sub-color);
}

.music-player-navigation {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.music-player-navigation .player-btn,
.volume-btn {
    display: flex;
    align-items: center;
    gap: 10px;
    color: white;
    font-size: 20px;
}

.music-player .volume-btn {
    max-width: 150px;
    width: 15%;
}

.music-player-navigation .prev,
.music-player-navigation .global-play,
.music-player-navigation .global-pause,
.music-player-navigation .next {
    border-radius: 50%;
    background: var(--player-btn-bg-color);
    text-align: center;
}

.music-player-navigation .prev,
.music-player-navigation .next {
    height: 30px;
    line-height: 30px;
    width: 30px;
}

.music-player-navigation .global-play,
.music-player-navigation .global-pause {
    height: 40px;
    line-height: 40px;
    width: 40px;
}

input[type='range'] {
    -webkit-appearance: none;
    background: blackt;
    width: 100%;
    box-shadow: 10.87px 10.87px 16.3px 0px #161320;
    border-radius: 50px;
}

input[type='range']::-webkit-slider-runnable-track {
    width: 100%;
    height: 5px;
    background: rgba(255, 255, 255, 0.8);
    border-radius: 50px;
}

input[type="range"]::-webkit-slider-thumb {
    -webkit-appearance: none;
    /* Override default look */
    margin-top: -7px;
    /* Centers thumb on the track */
    background: var(--player-btn-bg-color);
    height: 18px;
    width: 18px;
    border: 2px solid #16131F;
    border-radius: 50%;
    box-shadow: 1.09px 1.09px 5.43px 0px #FFFFFF1A inset;
    box-shadow: 0px 5.43px 5.43px 0px #191038;
    box-shadow: -10.87px -10.87px 21.74px 0px #FFFFFF inset;
    box-shadow: 0px 16.3px 21.74px 0px #08060C;
    box-shadow: 10.87px 10.87px 10.87px 0px #0000000D inset;

}

.timestamp {
    max-width: 230px;
    min-width: 230px;
    width: 19%;
}

.time {
    color: white;
    font-family: var(--primary-font);
    font-size: 14px;
    max-width: 130px;
    white-space: nowrap;
}
/* music player details end*/

footer {
    background-color: var(--bg-color);
    padding: 100px 0;
}

footer .footer-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 30px;
}

footer .footer-upper-area {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

footer p,
footer a {
    font-family: var(--primary-font);
    font-weight: 400;
    font-size: 16px;
    line-height: 1.75;
    color: white;
    text-align: justify;
}

footer .footer-lower-area {
    padding-top: 20px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-top: 1px solid rgba(255,255,255,0.15);
}

footer .quick-links {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 50px;
}

/**============
new css end
============**/

.single-page .track-box{
    display: flex;
    gap: 50px;
    align-items: center;
    padding-bottom: 50px;
}

.single-page .track-box img{
    max-width: 250px;
}

.single-page .track-box h3{
    font-family: var(--primary-font);
    font-weight: 400;
    font-size: 40px;
    line-height: 2.5;
    color: #fff;
        text-transform: capitalize;
}

.single-page .track-box p{
    font-size: 18px;
}



@media screen and (max-width: 1480px) {
    /**============
    new css start
    ============**/
    .hero_container,
    .content-wrapper {
        padding: 0 100px;
    }

    /*home header start*/
    /*home header end*/


    /* music player details start*/
    .music-player {
        gap: 30px;
    }
    /* music player details end*/
    /**============
    new css end
    ============**/
}

@media screen and (max-width: 1440px) {
    .song_row .card {
        width: calc(33.33% - 12px);
    }

}
@media screen and (max-width:1200px) {
    /**============
    new css start
    ============**/

    /*home header start*/
    .nav-link-initial {
        display: none;
    }

    .burger-menu {
        display: block;
    }
    /*home header end*/

    .hero_container,
    .content-wrapper {
        padding: 0 50px;
    }

    /* music player details start*/
    .music-player {
        flex-wrap: wrap;
        justify-content: center;
        align-items: center;
        gap: 10px;
    }
    /* music player details end*/

    footer .footer-lower-area {
        flex-direction: column;
        align-items: center;
        gap: 20px;
    }

    .copyright p {
        text-align: center;
    }
    /**============
    new css end
    ============**/
}

@media screen and (max-width: 991px) {
    .container {
        padding: 60px 70px;
    }

    .song_row .card {
        width: calc(50% - 12px);
    }

    /**============
    new css start
    ============**/
    .hero_container,
    .content-wrapper {
        padding: 0 30px;
    }

    /*home header start*/
    .header-area .icon-area {
        gap: 45px;
    }

    .input-search:focus {
        width: 230px;
    }

    .btn-search:focus~.input-search {
        width: 200px;
    }

    .logo-title {
        font-size: 30px;
    }
    /*home header end*/

    .trending {
        padding: 60px 0;
    }

    .song-list-all {
        padding: 60px 0 60px;
    }

    .sec-pad-tlr{
        padding: 60px 15px 0 15px;
    }

    .sec-pad-bx{
        padding-bottom: 60px;
    }

    .static-page {
        padding: 60px 0;
    }
    /* contact section start*/
    .contact-section {
        height: 500px;
    }
    .main-title {
        font-size: 100px;
    }

    .contact-info {
        flex-direction: column;
    }

    .contact-info a {
        font-size: 14px;
    }
    /* contact section end*/
    /* music player details start*/

    .music-player {
        padding-bottom: 15px;
        padding-top: 15px;
    }

    .music-info {
        max-width: 201px;
        padding: 0;
    }

    .timestamp {
        min-width: 100px;
        width: 15%;
    }
    /* music player details end*/
    .social-icons {
        text-align: center;
    }
    /**============
    new css end
    ============**/
}

@media screen and (max-width:768px) {
    .single-page .track-box{
        gap: 25px;
    }

    .single-page .track-box h3 {
        font-size: 32px;
        line-height: 48px;
    }
    .single-page .track-box p {
        font-size: 16px;
    }

    /*home header start*/
    .user-dropdown .menu {
        top: calc(100% + 36px);
    }

    .logo-img {
        max-width: 50px;
    }

    .logo-title {
        font-size: 20px;
    }

    .search-function {
        display: none;
    }
    /*home header end*/

    /* contact section start*/
    .main-title {
        font-size: 64px;
    }
    /* contact section end*/

    /* music player details start*/
    .music-info {
        gap: 12px;
    }

    .music-img {
        width: 40px;
        line-height: 0;
    }

    .music-info .music-name {
        max-width:calc(100% - 52px)
    }
    /* music player details end*/

    footer .footer-upper-area {
        align-items: center;
    }

    footer .quick-links {
        flex-wrap: wrap;
        gap: 5px 20px;
        justify-content: center;
    }

    footer {
        padding-top: 60px;
    }
    /**============
    new css end
    ============**/

}

@media screen and (max-width:720px) {
    .container {
        padding: 60px 20px;
    }
}

@media screen and (max-width:620px){
    /**============
    new css start
    ============**/

    /*home header start*/
    header .content-wrapper {
        padding-bottom: 0;
        padding-top: 0;
    }

    .hamburger-menu.active {
        padding-left: 30px;
        padding-right: 30px;
    }

    .header-area .icon-area {
        gap: 20px;
    }

    .hamburger-menu {
        width: 250px;
    }

    /*home header end*/

    .hero_container {
        padding: 0 20px;
    }

    .banner_text .banner-title {
        font-size: 40px;
    }

    .content-wrapper {
        padding: 0 20px;
    }

    .trending {
        padding: 60px 0;
    }

    .song_row .card {
        width: 100%;
    }

    .static-page {
        padding: 60px 0;
    }

    .static-page-title {
        font-size: 32px;
    }

    .song-list-table .song-list-name {
        font-size: 14px;
    }
    /* contact section start*/
    .contact-section {
        background-position: -280px center;
    }
    /* contact section end*/
    /* music player details start*/
    .music-info {
        padding: 0;
    }
    .music-info h3 {
        font-size: 16px;
    }

    .music-info p {
        font-size: 12px;
    }

    .music-player {
        padding-bottom: 15px;
        padding-top: 15px;
    }

    .music-player-navigation .global-play, .music-player-navigation .global-pause {
        font-size: 16px;
        height: 35px;
        width: 35px;
        line-height: 37px;
    }

    .music-player-navigation .prev, .music-player-navigation .next {
        font-size: 14px;
        height: 25px;
        width: 25px;
        line-height: 26px;
    }

    .time,
    .music-player .timestamp {
        display: none;
    }

    .music-player .volume-btn {
        font-size: 16px;
        width: 22%;
    }
    /* music player details end*/
    /**============
    new css end
    ============**/
}

@media screen and (max-width:575px) {
    .single-page .track-box{
        display: block;
    }
    .song-list-all{
        overflow-y: scroll;
    }
    .single-page .track-box img {
        max-width: 100%;
        margin: 0 auto;
    }
    .single-page .track-box .track-details {
        text-align: center;
        padding-top: 20px;
    }
}
@media screen and (max-width:480px) {
    /**============
    new css start
    ============**/
    /*home header start*/
    /*home header end*/

    /* music player details start*/
    .music-info {
        justify-content: center;
        width: 100%;
    }

    /* music player details end*/

    footer {
        padding-bottom: 125px;
    }
    /**============
    new css end
    ============**/
}
